{
  lib,
  buildPythonPackage,
  fetchPypi,
  setuptools,
  pydash,
  marshmallow,
  opencensus,
  msrest,
  anyio,
  azure-common,
  azure-mgmt-authorization,
  opencensus-ext-azure,
  azure-mgmt-core,
  typing-extensions,
  azure-appconfiguration,
  azure-core,
  six,
  isodate,
  azure-keyvault-secrets,
  cryptography,
  msrestazure,
  requests,
  psutil,
  opentelemetry-api,
  azure-eventhub,
  aiohttp,
  mlflow,
  msal,
  msal-extensions,
  azure-keyvault-certificates,
  azure-keyvault-keys,
  pyyaml,
  jsonschema,
  tqdm,
  strictyaml,
  colorama,
  pyjwt,
  azure-storage-blob,
  azure-storage-file-share,
  azure-mgmt-resource,
  opentelemetry-sdk,
  opentelemetry-instrumentation,
  opentelemetry-instrumentation-django,
  opentelemetry-instrumentation-fastapi,
  opentelemetry-instrumentation-flask,
  #opentelemetry-instrumentation-psycopg2,
  azure-nspkg,
  azure-mgmt-nspkg,
  websocket-client,
  avro,
  uamqp,
  yarl,
  azure-identity,
  openai,
  dnspython,
  numpy,
  jsonpath-ng,
  python311,
}:
buildPythonPackage rec {
  pname = "azure_ai_ml";
  version = "1.19.0";
  format = "wheel";

  src = fetchPypi {
    inherit pname version format;
    sha256 = "sha256-8Dha8G776uH4MRNhPkU0NQjRKI/S8FhXYZ58fU1PUwI=";
    dist = "py3";
    python = "py3";
  };

  nativeBuildInputs = [setuptools];

  propagatedBuildInputs = [
    pydash
    marshmallow
    opencensus
    opencensus-ext-azure
    msrest
    anyio
    azure-common
    azure-mgmt-authorization
    azure-mgmt-core
    typing-extensions
    azure-core
    six
    isodate
    azure-appconfiguration
    azure-keyvault-secrets
    cryptography
    msrestazure
    requests
    psutil
    opentelemetry-api
    azure-eventhub
    aiohttp
    mlflow
    msal
    msal-extensions
    azure-keyvault-certificates
    azure-keyvault-keys
    pyyaml
    jsonschema
    tqdm
    strictyaml
    colorama
    pyjwt
    azure-storage-blob
    azure-storage-file-share
    azure-mgmt-resource
    opentelemetry-sdk
    opentelemetry-instrumentation
    opentelemetry-instrumentation-django
    opentelemetry-instrumentation-fastapi
    opentelemetry-instrumentation-flask
    #opentelemetry-instrumentation-psycopg2
    azure-nspkg
    azure-mgmt-nspkg
    websocket-client
    avro
    uamqp
    yarl
    azure-identity
    openai
    dnspython
    numpy
    jsonpath-ng
    (python311.pkgs.callPackage ../azure-storage-file-datalake/default.nix {})
    (python311.pkgs.callPackage ../opencensus-ext-logging/default.nix {})
  ];

  doCheck = false; # Package does not contain tests

  meta = with lib; {
    description = "The azureml-mlflow package contains the integration code of AzureML with MLflow. MLflow (https://mlflow.org/) is an open-source platform for tracking machine learning experiments and managing models. You can use MLflow logging APIs with Azure Machine Learning so that metrics and artifacts are logged to your Azure machine learning workspace.";
    homepage = "https://docs.microsoft.com/python/api/overview/azure/ml/?view=azure-ml-py";
    license = licenses.mit;
    maintainers = with maintainers; [Lillian-Violet];
  };
}
